com.r3corda.contracts.asset / FungibleAsset / State

# State

`interface State<T> : FungibleAssetState<T, Issued<T>>`

A state representing a cash claim against some party

### Properties

amount | `abstract val amount: Amount<Issued<T>>`
deposit | `abstract val deposit: PartyAndReference` Where the underlying currency backing this ledger entry can be found (propagated)
exitKeys | `abstract val exitKeys: Collection<PublicKey>` There must be an ExitCommand signed by these keys to destroy the amount
owner | `abstract val owner: PublicKey` There must be a MoveCommand signed by this key to claim the amount

### Inherited Properties

issuanceDef | `abstract val issuanceDef: I`
productAmount | `abstract val productAmount: Amount<T>`

### Inheritors

State | `data class State : State<Currency>` A state representing a cash claim against some party